## libforms0.88 0.88.1

=== Makefile ===
#
# $Id: Makefile,v 0.2 1995/03/15 21:55:51 zhao Exp $
#
# Makefile for the entire XFORMs tree. 
#
#  usage: make [demo|install|clean]
#      demo: demo
#   install: copy the library and head file to standard directories.
#     clean: remove all .o files
#     empty: clean + removal of all demo executibles 
#

# all changes should be made in mkconfig.h 

SYSLIB=-lX11 -lm
SHELL=/bin/sh

FORMHEADER=forms.h
FORMLIB=libforms.a

include mkconfig.h
##### don't change anything after this line ####

demo: 
	@(cd DEMOS; make) 

install:
	cp FORMS/$(FORMLIB) $(LIB_DIR);chmod $(LIBMODE) $(LIB_DIR)/$(FORMLIB)
	cp DESIGN/fdesign $(BIN_DIR); chmod $(BINMODE) $(BIN_DIR)/fdesign
	cp fd2ps/fd2ps $(BIN_DIR); chmod $(BINMODE) $(BIN_DIR)/fd2ps
	-@if [ "$(SHARED_LIB)" != "" ]; then\
           cp FORMS/$(SHARED_LIB) $(LIB_DIR); \
           chmod $(LIBMODE) $(LIB_DIR)/$(SHARED_LIB);\
           if [ "$(SHARED_NAME)" != "" ]; then\
              $(LN) $(LIB_DIR)/$(SHARED_LIB) $(LIB_DIR)/$(SHARED_NAME);\
           fi \
        fi
	cp FORMS/$(FORMHEADER) $(HEADER_DIR);\
           chmod $(HEADERMODE) $(HEADER_DIR)/$(FORMHEADER)
	cp FORMS/xforms.5 $(MAN5_DIR);  chmod $(MANMODE) $(MAN5_DIR)/xforms.5
	cp DESIGN/fdesign.1 $(MAN1_DIR); chmod $(MANMODE) $(MAN1_DIR)/fdesign.1
	cp fd2ps/fd2ps.1 $(MAN1_DIR); chmod $(MANMODE) $(MAN1_DIR)/fd2ps.1
	@if [ ! -f $(MAN5_DIR)/forms.5 ]; then\
          ln -s $(MAN5_DIR)/xforms.5 $(MAN5_DIR)/forms.5;\
        fi
clean:
	(cd  DEMOS; make $@)
empty:
	(cd  DEMOS; make $@)

=== DEMOS/Makefile ===
#
#
# Flags that might be overriden by top makefile
#

CC=cc
CCFLAG=-O
LDFLAG=-O -s 
SYSLIB=-lX11 -lm

SHELL=/bin/sh

include ../mkconfig.h

#
# Flags the compiler will see
#

CFLAGS=$(CCFLAG) -I../FORMS $(XINCLUDE) -Ifd
LDFLAGS = $(LDFLAG) 
LIBS=-L../FORMS -lforms $(SYSLIB)
GLLIBS=-L../FORMS -lforms -lGL -lXext $(SYSLIB)


#
DEMOSO= freedraw.o demo.o colsel.o borderwidth.o xyplotover.o\
	pushme.o yesno.o pushbutton.o buttonall.o demo05.o \
	demo06.o touchbutton.o \
        colsel1.o ldial.o fdial.o\
	fbrowse1.o flclock.o menu.o free1.o \
	goodies.o boxtype.o sldinactive.o sld_radio.o \
	positioner.o positionerXOR.o arrowbutton.o sldsize.o sliderall.o symbols.o \
	demo27.o browserall.o browserop.o multilabel.o \
	fbrowse.o choice.o demo33.o timer.o fonts.o \
	counter.o chartstrip.o chartall.o minput.o minput2.o longlabel.o \
	secretinput.o objinactive.o rescale.o ndial.o xyplotall.o xyplotactive.o\
	colbrowser.o pup.o pmbrowse.o invslider.o wwwl.o  \
	preemptive.o objreturn.o freedraw_leak.o lalign.o canvas.o\
	iconify.o cursor.o objpos.o strsize.o timerprec.o ll.o \
	inputall.o group.o butttypes.o folder.o popup.o scrollbar.o\
	dirlist.o
#

DEMOS= ${DEMOSO:.o=} 

all: demoprep ${DEMOS} newbutton 

${DEMOS}: 
	-$(CC) -c $(CFLAGS) $@.c
	-$(CC) $(LDFLAGS) $@.o  -o $@ $(LIBS)

demotest:demotest.o
	-$(CC) $(LDFLAGS) -o $@ demotest.o  $(LIBS)
demotest1:demotest1.o
	-$(CC) $(LDFLAGS) -o $@ demotest1.o  $(LIBS)
demotest2:demotest2.o
	-$(CC) $(LDFLAGS) -o $@ demotest2.o  $(LIBS)

menubar:menubar.o
	-$(CC) $(LDFLAGS) -o $@ menubar.o -lGL -lXext $(LIBS)

newbutton: newbutton.o crossbut.o crossbut.h
	-$(CC) $(LDFLAGS) -o $@ newbutton.o crossbut.o $(LIBS)

gl: gl.o 
	-$(CC) $(LDFLAGS) -o $@ $?  $(GLLIBS)
glwin:glwin.o 
	-$(CC) $(LDFLAGS) -o $@ $?  $(GLLIBS)

nnn: nnn.o crossbut.o crossbut.h
	-$(CC) $(LDFLAGS) -o $@ nnn.o crossbut.o $(LIBS)

clean:
	-rm -f  *.o core a.out *~

empty: clean
	-rm -f $(DEMOS) newbutton nnn elog mlog gl glwin demotest \
          folder menubar demotest1 demotest2
	-rm -f old*
	-rm -f *ps
	-rm -f fd/*bak


demoprep:
	-@if [ "$(SHARED_NAME)" != "" ]; then\
           cd ../FORMS;       \
           if [ -f $(SHARED_LIB) ]; then \
                $(LN) $(SHARED_LIB) $(SHARED_NAME);\
           fi;\
        fi

## libforms0.88 0.88.1-3

=== debian/changelog ===
libforms0.88 (0.88.1-3) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * glibc2.1 version for i386, powerpc and alpha; 
    glibc2.0 version for m68k and sparc. 
  * Hacked rules file to handle all architectures; scheme uses a native
    tar file format, which we will update whenever we add an architecture.
  * libforms-bin renamed linforms0.88-bin, conflicts with libforms-bin_0.89
  * libforms-dev renamed linforms0.88-dev, conflicts with libforms-dev_0.89

 -- Peter S Galbraith <psg@debian.org>  Sat, 30 Oct 1999 13:27:10 -0400

libforms0.88 (0.88.1-2) frozen unstable; urgency=low

  * Resolved file overlap between bo's xforms-dev and hamm's libforms-bin
    with a Replaces:.

 -- Ben Gertzfield <che@debian.org>  Wed, 13 May 1998 13:27:39 -0700

libforms0.88 (0.88.1-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Fri,  6 Mar 1998 18:32:11 -0800

libforms0.88 (0.88-4) unstable; urgency=low

  * Whoops, header should be in /usr/X11R6/include/X11, not
    /usr/X11R6/include/. Fixes bug #16691.
  * Commented out dh_du call in debian/rules, le sigh.

 -- Ben Gertzfield <che@debian.org>  Tue, 17 Feb 1998 14:59:07 -0800

libforms0.88 (0.88-3) unstable; urgency=low

  * Added in 'fdesign' program to -dev. Fixes bug #17811.
  * Moved binaries and libraries and headers into /usr/X11R6/. 
    Fixes bug #16691.
  * -dev package now Conflicts: with and Replaces: xforms-dev.
    Fixes bug #16691.

 -- Ben Gertzfield <che@debian.org>  Wed,  4 Feb 1998 17:36:02 -0800

libforms0.88 (0.88-2) unstable; urgency=low

  * Fixed shlibs file to make soname 0.88, not 0.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 22:12:50 -0800

libforms0.88 (0.88-1) unstable; urgency=low

  * Initial release.
  * No source available; binary only.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 16:11:09 -0800

Local variables:
mode: debian-changelog
add-log-mailing-address: "che@debian.org"
End:

=== debian/control ===
Source: libforms0.88
Section: non-free/libs
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Standards-Version: 3.0.1

Package: libforms0.88
Architecture: i386 alpha powerpc sparc m68k
Section: non-free/libs
Depends: ${shlibs:Depends}, xlib6g, xpm4g
Description: The XForms graphical interface widget library
 This package contains the XForms library, version 0.88.
 .
 XForms is available only in binary form; the source is not
 publically released.

Package: libforms0.88-dev
Architecture: i386 alpha powerpc sparc m68k
Section: non-free/devel
Depends: libc6 (>= 2.1), libforms0.88
Suggests: libforms0.88-bin, libforms-doc
Conflicts: xforms-dev, libforms-dev
Replaces: xforms-dev
Description: Header files and static libraries for the XForms widget library
 This package contains the header files and static libraries for the
 XForms library, version 0.88.
 .
 Install this package if you want to develop programs using the XForms
 library.
 .
 XForms is available only in binary form; the source is not publically
 released.

Package: libforms0.88-bin
Architecture: i386 alpha powerpc sparc m68k
Section: non-free/devel
Suggests: libforms0.88-dev
Conflicts: libforms-bin
Replaces: xforms-dev
Description: Support binaries for the XForms widget library
 This package includes the 'fdesign' XForms GUI designer and the
 'fd2ps' XForms to PostScript programs.
 .
 This package can be handy if you're an XForms developer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

ARCH=`dpkg --print-architecture`

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build libforms libforms0.88-dev libforms0.88-bin

libforms: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/X11R6/lib
	# Add here commands to install the files into debian/tmp
	echo "If the following fails, this architecture is not yet supported!"
	cp FORMS/$(ARCH)/libforms.so.0.88 debian/tmp/usr/X11R6/lib
	dh_installdocs Changes Bugs Readme
	dh_installchangelogs
	dh_strip 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs -m0.88
#	echo "libforms 0.88 libforms0.88" >> debian/tmp/DEBIAN/shlibs
	dh_md5sums
	dh_builddeb

libforms0.88-dev: build
	dh_testdir -plibforms0.88-dev
	dh_testroot -plibforms0.88-dev
	dh_clean -k -plibforms0.88-dev
	dh_installdirs -plibforms0.88-dev usr/X11R6/lib usr/X11R6/include/X11
	# Add here commands to install the files into debian/tmp
	cp FORMS/$(ARCH)/libforms.a debian/libforms0.88-dev/usr/X11R6/lib
	ln -s libforms.so.0.88 debian/libforms0.88-dev/usr/X11R6/lib/libforms.so
	cp FORMS/forms.h debian/libforms0.88-dev/usr/X11R6/include/X11
	dh_installdocs -plibforms0.88-dev
	dh_installchangelogs -plibforms0.88-dev
	dh_strip -plibforms0.88-dev
	dh_compress -plibforms0.88-dev
	dh_fixperms -plibforms0.88-dev
	dh_installdeb -plibforms0.88-dev
	dh_shlibdeps -plibforms0.88-dev
	dh_gencontrol -plibforms0.88-dev
	dh_md5sums -plibforms0.88-dev
	dh_builddeb -plibforms0.88-dev

libforms0.88-bin: build
	dh_testdir -plibforms0.88-bin
	dh_testroot -plibforms0.88-bin
	dh_clean -k -plibforms0.88-bin
	dh_installdirs -plibforms0.88-bin usr/X11R6/man/man1 \
	  usr/X11R6/man/man5 usr/X11R6/bin
	# Add here commands to install the files into debian/tmp
	cp DESIGN/$(ARCH)/fdesign debian/libforms0.88-bin/usr/X11R6/bin
	cp DESIGN/fdesign.1 debian/libforms0.88-bin/usr/X11R6/man/man1
	cp fd2ps/$(ARCH)/fd2ps debian/libforms0.88-bin/usr/X11R6/bin
	cp fd2ps/fd2ps.1 debian/libforms0.88-bin/usr/X11R6/man/man1
	dh_installdocs -plibforms0.88-bin
	dh_installchangelogs -plibforms0.88-bin
	dh_strip -plibforms0.88-bin
	dh_compress -plibforms0.88-bin
	dh_fixperms -plibforms0.88-bin
	dh_installdeb -plibforms0.88-bin
	dh_shlibdeps -plibforms0.88-bin
	dh_gencontrol -plibforms0.88-bin
	dh_md5sums -plibforms0.88-bin
	dh_builddeb -plibforms0.88-bin

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## libforms0.88 0.88.1-6

=== debian/changelog ===
libforms0.88 (0.88.1-6) unstable; urgency=low

  * /usr/X11R6/include/X11/forms.h includes files like X11/Xlib.h from
    xlibs-dev so package libforms0.88-dev needs to depend on it.  
    (closes: #111087)
  
 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Sep 2001 12:09:55 -0400

libforms0.88 (0.88.1-5) unstable; urgency=low

  * New maintainer
  * Changed depends from xpm4g to libxpm4 (closes: #71420)
  * Added Depends line to libforms0.88-bin control ile section.
  * Updated to Standards-Version 3.1.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 Sep 2000 11:29:25 -0400

libforms0.88 (0.88.1-4) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Package libforms0.88-dev now depends on libc6-dev instead of libc6 (>= 2.1)
    closes: #68008 "Bad dependency on libc6 (alpha)"
  * alpha binaries had stamp dates in the future.
  * glibc2.1 version for i386, powerpc and alpha; 
    glibc2.0 version for m68k and sparc. 

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Aug 2000 11:46:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libforms0.88
 Section: non-free/libs
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.0.1
+Maintainer: Peter S Galbraith <psg@debian.org>
+Build-Depends: debhelper
+Standards-Version: 3.1.1
 
 Package: libforms0.88
 Architecture: i386 alpha powerpc sparc m68k
 Section: non-free/libs
-Depends: ${shlibs:Depends}, xlib6g, xpm4g
+Depends: ${shlibs:Depends}, xlib6g, libxpm4
 Description: The XForms graphical interface widget library
  This package contains the XForms library, version 0.88.
  .
@@ -17,7 +18,7 @@
 Package: libforms0.88-dev
 Architecture: i386 alpha powerpc sparc m68k
 Section: non-free/devel
-Depends: libc6 (>= 2.1), libforms0.88
+Depends: libc6-dev, libforms0.88, xlibs-dev
 Suggests: libforms0.88-bin, libforms-doc
 Conflicts: xforms-dev, libforms-dev
 Replaces: xforms-dev
@@ -35,6 +36,7 @@
 Architecture: i386 alpha powerpc sparc m68k
 Section: non-free/devel
 Suggests: libforms0.88-dev
+Depends: ${shlibs:Depends}
 Conflicts: libforms-bin
 Replaces: xforms-dev
 Description: Support binaries for the XForms widget library

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,8 @@
 	# Add here commands to install the files into debian/tmp
 	echo "If the following fails, this architecture is not yet supported!"
 	cp FORMS/$(ARCH)/libforms.so.0.88 debian/tmp/usr/X11R6/lib
-	dh_installdocs Changes Bugs Readme
-	dh_installchangelogs
+	dh_installdocs Bugs Readme
+	dh_installchangelogs Changes
 	dh_strip 
 	dh_compress
 	dh_fixperms
